# YL 04/03/2021: adapted from Linux-x86-64-intel-regtest.psmp for Py-ChemShell
#                tested with Intel 18.0.3 and GCC 9.3.0
#                NB: wrong energies are computed if compiled with Intel 17!

FC        = @CMAKE_Fortran_COMPILER@
CC        = @CMAKE_C_COMPILER@
CXX       = @CMAKE_CXX_COMPILER@
CPP       = @CMAKE_CXX_COMPILER@
LD        = @CMAKE_Fortran_COMPILER@
AR        = ar -r

FCFLAGS   = @CP2K_FFLAGS@
CFLAGS    = @CP2K_CFLAGS@

LDFLAGS   = @CP2K_LDFLAGS@
LDFLAGS_C = @CP2K_C_LDFLAGS@

# required due to memory leak that occurs if high optimisations are used
mp2_optimize_ri_basis.o: mp2_optimize_ri_basis.F
	$(FC) -c $(subst O2,O0,$(FCFLAGS)) $<

